// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.36.5
// 	protoc        v5.29.3
// source: internal/module/agent_tracker/agent_tracker.proto

package agent_tracker

import (
	reflect "reflect"
	sync "sync"
	unsafe "unsafe"

	_ "buf.build/gen/go/bufbuild/protovalidate/protocolbuffers/go/buf/validate"
	entity "gitlab.com/gitlab-org/cluster-integration/gitlab-agent/v17/pkg/entity"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type ConnectedAgentInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentMeta     *entity.AgentMeta      `protobuf:"bytes,1,opt,name=agent_meta,proto3" json:"agent_meta,omitempty"`
	ConnectedAt   *timestamppb.Timestamp `protobuf:"bytes,2,opt,name=connected_at,proto3" json:"connected_at,omitempty"`
	ConnectionId  int64                  `protobuf:"varint,3,opt,name=connection_id,proto3" json:"connection_id,omitempty"`
	AgentId       int64                  `protobuf:"varint,4,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	ProjectId     int64                  `protobuf:"varint,5,opt,name=project_id,proto3" json:"project_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *ConnectedAgentInfo) Reset() {
	*x = ConnectedAgentInfo{}
	mi := &file_internal_module_agent_tracker_agent_tracker_proto_msgTypes[0]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *ConnectedAgentInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ConnectedAgentInfo) ProtoMessage() {}

func (x *ConnectedAgentInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_agent_tracker_proto_msgTypes[0]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ConnectedAgentInfo.ProtoReflect.Descriptor instead.
func (*ConnectedAgentInfo) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_agent_tracker_proto_rawDescGZIP(), []int{0}
}

func (x *ConnectedAgentInfo) GetAgentMeta() *entity.AgentMeta {
	if x != nil {
		return x.AgentMeta
	}
	return nil
}

func (x *ConnectedAgentInfo) GetConnectedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.ConnectedAt
	}
	return nil
}

func (x *ConnectedAgentInfo) GetConnectionId() int64 {
	if x != nil {
		return x.ConnectionId
	}
	return 0
}

func (x *ConnectedAgentInfo) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *ConnectedAgentInfo) GetProjectId() int64 {
	if x != nil {
		return x.ProjectId
	}
	return 0
}

type DisconnectAgentInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentMeta     *entity.AgentMeta      `protobuf:"bytes,1,opt,name=agent_meta,proto3" json:"agent_meta,omitempty"`
	ConnectionId  int64                  `protobuf:"varint,2,opt,name=connection_id,proto3" json:"connection_id,omitempty"`
	AgentId       int64                  `protobuf:"varint,3,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	ProjectId     int64                  `protobuf:"varint,4,opt,name=project_id,proto3" json:"project_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *DisconnectAgentInfo) Reset() {
	*x = DisconnectAgentInfo{}
	mi := &file_internal_module_agent_tracker_agent_tracker_proto_msgTypes[1]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *DisconnectAgentInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DisconnectAgentInfo) ProtoMessage() {}

func (x *DisconnectAgentInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_agent_tracker_proto_msgTypes[1]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DisconnectAgentInfo.ProtoReflect.Descriptor instead.
func (*DisconnectAgentInfo) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_agent_tracker_proto_rawDescGZIP(), []int{1}
}

func (x *DisconnectAgentInfo) GetAgentMeta() *entity.AgentMeta {
	if x != nil {
		return x.AgentMeta
	}
	return nil
}

func (x *DisconnectAgentInfo) GetConnectionId() int64 {
	if x != nil {
		return x.ConnectionId
	}
	return 0
}

func (x *DisconnectAgentInfo) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *DisconnectAgentInfo) GetProjectId() int64 {
	if x != nil {
		return x.ProjectId
	}
	return 0
}

type AgentPodInfo struct {
	state         protoimpl.MessageState `protogen:"open.v1"`
	AgentId       int64                  `protobuf:"varint,1,opt,name=agent_id,proto3" json:"agent_id,omitempty"`
	PodId         int64                  `protobuf:"varint,2,opt,name=pod_id,proto3" json:"pod_id,omitempty"`
	unknownFields protoimpl.UnknownFields
	sizeCache     protoimpl.SizeCache
}

func (x *AgentPodInfo) Reset() {
	*x = AgentPodInfo{}
	mi := &file_internal_module_agent_tracker_agent_tracker_proto_msgTypes[2]
	ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
	ms.StoreMessageInfo(mi)
}

func (x *AgentPodInfo) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AgentPodInfo) ProtoMessage() {}

func (x *AgentPodInfo) ProtoReflect() protoreflect.Message {
	mi := &file_internal_module_agent_tracker_agent_tracker_proto_msgTypes[2]
	if x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AgentPodInfo.ProtoReflect.Descriptor instead.
func (*AgentPodInfo) Descriptor() ([]byte, []int) {
	return file_internal_module_agent_tracker_agent_tracker_proto_rawDescGZIP(), []int{2}
}

func (x *AgentPodInfo) GetAgentId() int64 {
	if x != nil {
		return x.AgentId
	}
	return 0
}

func (x *AgentPodInfo) GetPodId() int64 {
	if x != nil {
		return x.PodId
	}
	return 0
}

var File_internal_module_agent_tracker_agent_tracker_proto protoreflect.FileDescriptor

var file_internal_module_agent_tracker_agent_tracker_proto_rawDesc = string([]byte{
	0x0a, 0x31, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c,
	0x65, 0x2f, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2f,
	0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x1a, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e,
	0x74, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x1a,
	0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66,
	0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x1a, 0x17, 0x70, 0x6b, 0x67, 0x2f, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2f, 0x65, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x62, 0x75, 0x66, 0x2f, 0x76,
	0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65, 0x2f, 0x76, 0x61, 0x6c, 0x69, 0x64, 0x61, 0x74, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x88, 0x02, 0x0a, 0x12, 0x43, 0x6f, 0x6e, 0x6e, 0x65,
	0x63, 0x74, 0x65, 0x64, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x46, 0x0a,
	0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x1e, 0x2e, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x2e, 0x65, 0x6e, 0x74, 0x69, 0x74, 0x79, 0x2e, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x4d, 0x65, 0x74,
	0x61, 0x42, 0x06, 0xba, 0x48, 0x03, 0xc8, 0x01, 0x01, 0x52, 0x0a, 0x61, 0x67, 0x65, 0x6e, 0x74,
	0x5f, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x48, 0x0a, 0x0c, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x42, 0x08, 0xba, 0x48, 0x05, 0xb2, 0x01, 0x02, 0x2a,
	0x00, 0x52, 0x0c, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x12,
	0x24, 0x0a, 0x0d, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0d, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69,
	0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69,
	0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69,
	0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18,
	0x05, 0x20, 0x01, 0x28, 0x03, 0x52, 0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69,
	0x64, 0x22, 0xb7, 0x01, 0x0a, 0x13, 0x44, 0x69, 0x73, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74,
	0x41, 0x67, 0x65, 0x6e, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x3e, 0x0a, 0x0a, 0x61, 0x67, 0x65,
	0x6e, 0x74, 0x5f, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e,
	0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2e, 0x65, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x2e, 0x41, 0x67, 0x65, 0x6e, 0x74, 0x4d, 0x65, 0x74, 0x61, 0x52, 0x0a, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x5f, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x24, 0x0a, 0x0d, 0x63, 0x6f, 0x6e,
	0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x0d, 0x63, 0x6f, 0x6e, 0x6e, 0x65, 0x63, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x69, 0x64, 0x12,
	0x1a, 0x0a, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x08, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x70,
	0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52,
	0x0a, 0x70, 0x72, 0x6f, 0x6a, 0x65, 0x63, 0x74, 0x5f, 0x69, 0x64, 0x22, 0x42, 0x0a, 0x0c, 0x41,
	0x67, 0x65, 0x6e, 0x74, 0x50, 0x6f, 0x64, 0x49, 0x6e, 0x66, 0x6f, 0x12, 0x1a, 0x0a, 0x08, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x61,
	0x67, 0x65, 0x6e, 0x74, 0x5f, 0x69, 0x64, 0x12, 0x16, 0x0a, 0x06, 0x70, 0x6f, 0x64, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x06, 0x70, 0x6f, 0x64, 0x5f, 0x69, 0x64, 0x42,
	0x5a, 0x5a, 0x58, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x67, 0x69,
	0x74, 0x6c, 0x61, 0x62, 0x2d, 0x6f, 0x72, 0x67, 0x2f, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72,
	0x2d, 0x69, 0x6e, 0x74, 0x65, 0x67, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x2f, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2d, 0x61, 0x67, 0x65, 0x6e, 0x74, 0x2f, 0x76, 0x31, 0x37, 0x2f, 0x69, 0x6e,
	0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f, 0x6d, 0x6f, 0x64, 0x75, 0x6c, 0x65, 0x2f, 0x61, 0x67,
	0x65, 0x6e, 0x74, 0x5f, 0x74, 0x72, 0x61, 0x63, 0x6b, 0x65, 0x72, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
})

var (
	file_internal_module_agent_tracker_agent_tracker_proto_rawDescOnce sync.Once
	file_internal_module_agent_tracker_agent_tracker_proto_rawDescData []byte
)

func file_internal_module_agent_tracker_agent_tracker_proto_rawDescGZIP() []byte {
	file_internal_module_agent_tracker_agent_tracker_proto_rawDescOnce.Do(func() {
		file_internal_module_agent_tracker_agent_tracker_proto_rawDescData = protoimpl.X.CompressGZIP(unsafe.Slice(unsafe.StringData(file_internal_module_agent_tracker_agent_tracker_proto_rawDesc), len(file_internal_module_agent_tracker_agent_tracker_proto_rawDesc)))
	})
	return file_internal_module_agent_tracker_agent_tracker_proto_rawDescData
}

var file_internal_module_agent_tracker_agent_tracker_proto_msgTypes = make([]protoimpl.MessageInfo, 3)
var file_internal_module_agent_tracker_agent_tracker_proto_goTypes = []any{
	(*ConnectedAgentInfo)(nil),    // 0: gitlab.agent.agent_tracker.ConnectedAgentInfo
	(*DisconnectAgentInfo)(nil),   // 1: gitlab.agent.agent_tracker.DisconnectAgentInfo
	(*AgentPodInfo)(nil),          // 2: gitlab.agent.agent_tracker.AgentPodInfo
	(*entity.AgentMeta)(nil),      // 3: gitlab.agent.entity.AgentMeta
	(*timestamppb.Timestamp)(nil), // 4: google.protobuf.Timestamp
}
var file_internal_module_agent_tracker_agent_tracker_proto_depIdxs = []int32{
	3, // 0: gitlab.agent.agent_tracker.ConnectedAgentInfo.agent_meta:type_name -> gitlab.agent.entity.AgentMeta
	4, // 1: gitlab.agent.agent_tracker.ConnectedAgentInfo.connected_at:type_name -> google.protobuf.Timestamp
	3, // 2: gitlab.agent.agent_tracker.DisconnectAgentInfo.agent_meta:type_name -> gitlab.agent.entity.AgentMeta
	3, // [3:3] is the sub-list for method output_type
	3, // [3:3] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_internal_module_agent_tracker_agent_tracker_proto_init() }
func file_internal_module_agent_tracker_agent_tracker_proto_init() {
	if File_internal_module_agent_tracker_agent_tracker_proto != nil {
		return
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: unsafe.Slice(unsafe.StringData(file_internal_module_agent_tracker_agent_tracker_proto_rawDesc), len(file_internal_module_agent_tracker_agent_tracker_proto_rawDesc)),
			NumEnums:      0,
			NumMessages:   3,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_internal_module_agent_tracker_agent_tracker_proto_goTypes,
		DependencyIndexes: file_internal_module_agent_tracker_agent_tracker_proto_depIdxs,
		MessageInfos:      file_internal_module_agent_tracker_agent_tracker_proto_msgTypes,
	}.Build()
	File_internal_module_agent_tracker_agent_tracker_proto = out.File
	file_internal_module_agent_tracker_agent_tracker_proto_goTypes = nil
	file_internal_module_agent_tracker_agent_tracker_proto_depIdxs = nil
}
